Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMsgRequest

`java.lang.Object
oracle.jbo.common.SvcMsgRequest`

All Implemented Interfaces:
  Request, java.io.Serializable

Direct Known Subclasses:
  SvcMethodRequest, SvcMsgRequestParams

public class SvcMsgRequest
extends java.lang.Object
implements Request

See Also:
  Serialized Form

Field Summary
`static int` | `REQ_ACTIVATE_STATE_2`
`static int` | `REQ_ACTIVATE_STATE_FOR_UNDO`
`static int` | `REQ_ACTIVATE_STATE_WITH_INFO`
`static int` | `REQ_ADD_DYNAMIC_ATTR`
`static int` | `REQ_ADD_QUERY_MODE`
`static int` | `REQ_ADD_VARIABLE`
`static int` | `REQ_ALL_APP_MOD_DEF_NAMES`
`static int` | `REQ_ALL_ENTITY_ASSOC_DEF_NAMES`
`static int` | `REQ_ALL_ENTITY_DEF_NAMES`
`static int` | `REQ_ALL_VIEW_DEF_NAMES`
`static int` | `REQ_ALL_VIEW_LINK_DEF_NAMES`
`static int` | `REQ_APP_MOD_DEF_NAMES`
`static int` | `REQ_APP_MOD_NAMES`
`static int` | `REQ_APPLICATION_MODULE`
`static int` | `REQ_APPLY_CHANGE_SET`
`static int` | `REQ_APPLY_VIEW_CRITERIA`
`static int` | `REQ_CANCEL_DML_OPERATIONS`
`static int` | `REQ_CANCEL_QUERY`
`static int` | `REQ_CLEAR_ENTITY_CACHE`
`static int` | `REQ_CLEAR_VO_CACHE`
`static int` | `REQ_CLEAR_VO_CACHES`
`static int` | `REQ_CLOSE_LOB`
`static int` | `REQ_COMMIT`
`static int` | `REQ_COMMIT_AND_SAVE_CHANGE_SET`
`static int` | `REQ_COMPONENT_OBJECT`
`static int` | `REQ_CONNECT_TO_DS`
`static int` | `REQ_CONNECT_TO_DS_USING_ENV`
`static int` | `REQ_CONNECT_TO_DS_USING_ENV_USER_PWD`
`static int` | `REQ_CONNECT_TO_DS_USING_USER_PWD`
`static int` | `REQ_CONNECT_USING_INFO`
`static int` | `REQ_CONNECT_USING_URL`
`static int` | `REQ_CONNECT_USING_USER_PWD`
`static int` | `REQ_CREATE_AND_INIT_ROW`
`static int` | `REQ_CREATE_APPLICATION_MODULE`
`static int` | `REQ_CREATE_COMPONENT_OBJECT`
`static int` | `REQ_CREATE_DETAIL_RS`
`static int` | `REQ_CREATE_ROW`
`static int` | `REQ_CREATE_ROW_SET`
`static int` | `REQ_CREATE_RSI`
`static int` | `REQ_CREATE_VIEW_LINK`
`static int` | `REQ_CREATE_VIEW_OBJECT`
`static int` | `REQ_CREATE_VL_BTWN_VOS`
`static int` | `REQ_CREATE_VL_FROM_ENT_ASSOC`
`static int` | `REQ_CREATE_VO_FROM_QUERY_CLAUSES`
`static int` | `REQ_CREATE_VO_FROM_QUERY_STMT`
`static int` | `REQ_CREATE_VO_ON_ENTITY`
`static int` | `REQ_CREATE_VO_ON_ROW_SET`
`static int` | `REQ_DEFINE_NAMED_WHERE_CLAUSE_PARAM`
`static int` | `REQ_DETAILS_IN_BATCH`
`static int` | `REQ_DISCONNECT`
`static int` | `REQ_DISCONNECT_WITH_RETAIN_STATE`
`static int` | `REQ_DO_POOL_MESSAGE`
`static int` | `REQ_DUMP_QUERY_RESULT`
`static int` | `REQ_ENTITY_ASSOC_DEF_NAMES`
`static int` | `REQ_ENTITY_DEF_NAMES`
`static int` | `REQ_EXECUTE_COMMAND`
`static int` | `REQ_EXECUTE_METHOD`
`static int` | `REQ_EXECUTE_QUERY`
`static int` | `REQ_FETCH_ATTR_PROPERTIES`
`static int` | `REQ_FETCH_ATTR_PROPERTIES_MAP`
`static int` | `REQ_FETCHED_ROW_COUNT`
`static int` | `REQ_FIND_AND_READ_ROW_XML`
`static int` | `REQ_FIND_AND_SET_BY_KEY`
`static int` | `REQ_FIND_APPLICATION_MODULE`
`static int` | `REQ_FIND_BY_ENTITY`
`static int` | `REQ_FIND_BY_KEY`
`static int` | `REQ_FIND_BY_VIEW_CRITERIA`
`static int` | `REQ_FIND_COMPONENT_OBJECT`
`static int` | `REQ_FIND_ROW_SET`
`static int` | `REQ_FIND_RSI`
`static int` | `REQ_FIND_RSI_FOR_ENTITY`
`static int` | `REQ_FIND_VIEW_LINK`
`static int` | `REQ_FIND_VIEW_LINK_ACCESSOR`
`static int` | `REQ_FIND_VIEW_OBJECT`
`static int` | `REQ_FIND_VIEW_OBJECT_USING_ENTITY`
`static int` | `REQ_FIND_VO_WITH_PARAMS`
`static int` | `REQ_FIRST`
`static int` | `REQ_GET_ACCESS_MODE`
`static int` | `REQ_GET_AM_INFO`
`static int` | `REQ_GET_ATTR_INDICES_FOR_ENTITY_ATTR`
`static int` | `REQ_GET_ATTRIBUTE_DEF_INFO`
`static int` | `REQ_GET_CONNECTION_MD`
`static int` | `REQ_GET_CURRENT_ROW`
`static int` | `REQ_GET_DEFAULT_RS`
`static int` | `REQ_GET_DEFAULT_RSI`
`static int` | `REQ_GET_DETAIL_ROW_SETS`
`static int` | `REQ_GET_DML_OPERATION_TIMEOUT`
`static int` | `REQ_GET_DOMAIN_VALUE`
`static int` | `REQ_GET_ESTIMATED_ROW_COUNT`
`static int` | `REQ_GET_ITER_MODE`
`static int` | `REQ_GET_LOCALE`
`static int` | `REQ_GET_LOCKING_MODE`
`static int` | `REQ_GET_MASTER_RSIS`
`static int` | `REQ_GET_MAX_FETCH_SIZE`
`static int` | `REQ_GET_MOST_RECENT_STACK_ID`
`static int` | `REQ_GET_ORDER_BY_CLAUSE`
`static int` | `REQ_GET_PROPERTIES`
`static int` | `REQ_GET_QUERY`
`static int` | `REQ_GET_QUERY_MODE`
`static int` | `REQ_GET_QUERY_OPTIMIZER_HINT`
`static int` | `REQ_GET_QUERY_TIMEOUT`
`static int` | `REQ_GET_ROW_BY_KEY`
`static int` | `REQ_GET_ROW_FROM_HANDLE`
`static int` | `REQ_GET_ROW_MATCH`
`static int` | `REQ_GET_ROW_SETS`
`static int` | `REQ_GET_ROW_VALIDATION`
`static int` | `REQ_GET_RSIS`
`static int` | `REQ_GET_SORT_BY`
`static int` | `REQ_GET_STYLES`
`static int` | `REQ_GET_VERSION`
`static int` | `REQ_GET_VIEW_CRITERIA`
`static int` | `REQ_GET_VIEW_LINKS`
`static int` | `REQ_GET_VO_ATTR_PROPERTIES`
`static int` | `REQ_GET_VO_PROPERTIES`
`static int` | `REQ_GET_WHERE_CLAUSE`
`static int` | `REQ_GET_WHERE_CLAUSE_PARAMS`
`static int` | `REQ_HAS_MORE_ROWS`
`static int` | `REQ_INTERNAL_SET_RANGE_START`
`static int` | `REQ_INVOKE_DOMAIN_METHOD`
`static int` | `REQ_IS_ATTR_UPDATEABLE`
`static int` | `REQ_IS_BUNDLED_EXC_MODE`
`static int` | `REQ_IS_CLEAR_CACHE_ON_COMMIT`
`static int` | `REQ_IS_CLEAR_CACHE_ON_ROLLBACK`
`static int` | `REQ_IS_CONNECTED`
`static int` | `REQ_IS_EXECUTED`
`static int` | `REQ_IS_FETCH_COMPLETE`
`static int` | `REQ_IS_RANGE_AT`
`static int` | `REQ_IS_TRANS_DIRTY`
`static int` | `REQ_IS_VALID_ID_FOR_UNDO`
`static int` | `REQ_JAAS_USER_ROLES`
`static int` | `REQ_LAST`
`static int` | `REQ_LOAD_PACKAGE`
`static int` | `REQ_LOB_DOMAIN`
`static int` | `REQ_LOCK_ROW`
`static int` | `REQ_NEXT`
`static int` | `REQ_NEXT_RANGE_SET`
`static int` | `REQ_NULL`
`static int` | `REQ_OBJECT_REMOVED`
`static int` | `REQ_PACKAGE_NAMES`
`static int` | `REQ_PASSIVATE_STATE`
`static int` | `REQ_PASSIVATE_STATE_2`
`static int` | `REQ_PASSIVATE_STATE_FOR_UNDO`
`static int` | `REQ_PASSIVATE_STATE_WITH_ID`
`static int` | `REQ_PASSIVATE_STATE_WITH_ID_2`
`static int` | `REQ_POST_CHANGES`
`static int` | `REQ_POST_ROWS`
`static int` | `REQ_PREPARE_SESSION`
`static int` | `REQ_PREVIOUS`
`static int` | `REQ_PREVIOUS_RANGE_SET`
`static int` | `REQ_READ_LOB`
`static int` | `REQ_READ_ROW_XML`
`static int` | `REQ_READ_ROWSET_XML`
`static int` | `REQ_RECONNECT`
`static int` | `REQ_RECONNECT_WO_FORCE`
`static int` | `REQ_REF_OBJECT`
`static int` | `REQ_REFRESH_CACHE`
`static int` | `REQ_REFRESH_PROPERTY`
`static int` | `REQ_REFRESH_ROW`
`static int` | `REQ_REFRESH_VARIABLES`
`static int` | `REQ_REFRESH_VO_PROPERTY`
`static int` | `REQ_REMOTE_SERVER_AM`
`static int` | `REQ_REMOVE_CHANGE_SET`
`static int` | `REQ_REMOVE_COMPONENT`
`static int` | `REQ_REMOVE_MASTER_RSI`
`static int` | `REQ_REMOVE_NAMED_WHERE_CLAUSE_PARAM`
`static int` | `REQ_REMOVE_ROW`
`static int` | `REQ_REMOVE_ROW_AND_RETAIN`
`static int` | `REQ_REMOVE_ROW_FROM_COLLECTION`
`static int` | `REQ_REMOVE_STATE`
`static int` | `REQ_REMOVE_VARIABLE`
`static int` | `REQ_RESERVE_PASSIVATION_ID`
`static int` | `REQ_RESERVE_SNAPSHOT_ID`
`static int` | `REQ_RESET`
`static int` | `REQ_RESET_STATE`
`static int` | `REQ_RESET_STATE_WITH_FLAGS`
`static int` | `REQ_ROLLBACK`
`static int` | `REQ_ROW`
`static int` | `REQ_ROW_COUNT`
`static int` | `REQ_ROW_COUNT_IN_RANGE`
`static int` | `REQ_ROW_IS_DEAD`
`static int` | `REQ_ROW_SET`
`static int` | `REQ_ROW_SET_ITERATOR`
`static int` | `REQ_SCROLL`
`static int` | `REQ_SEND_DATA_ROW`
`static int` | `REQ_SET_ACCESS_MODE`
`static int` | `REQ_SET_ASSOC_CONSISTENT`
`static int` | `REQ_SET_BUNDLED_EXC_MODE`
`static int` | `REQ_SET_CLEAR_CACHE_ON_COMMIT`
`static int` | `REQ_SET_CLEAR_CACHE_ON_ROLLBACK`
`static int` | `REQ_SET_CURRENT_ROW`
`static int` | `REQ_SET_CURRENT_ROW_AT_RANGE_INDEX`
`static int` | `REQ_SET_DML_OPERATION_TIMEOUT`
`static int` | `REQ_SET_FORWARD_ONLY`
`static int` | `REQ_SET_ITER_MODE`
`static int` | `REQ_SET_LOCALE`
`static int` | `REQ_SET_LOCKING_MODE`
`static int` | `REQ_SET_MASTER_RSI`
`static int` | `REQ_SET_MAX_FETCH_SIZE`
`static int` | `REQ_SET_NEW_ROW_STATE`
`static int` | `REQ_SET_ORDER_BY_CLAUSE`
`static int` | `REQ_SET_PROPERTY`
`static int` | `REQ_SET_QUERY_MODE`
`static int` | `REQ_SET_QUERY_OPTIMIZER_HINT`
`static int` | `REQ_SET_QUERY_TIMEOUT`
`static int` | `REQ_SET_RANGE_SIZE`
`static int` | `REQ_SET_RELEASE_LEVEL`
`static int` | `REQ_SET_ROW_MATCH`
`static int` | `REQ_SET_ROW_VALIDATION`
`static int` | `REQ_SET_SORT_BY`
`static int` | `REQ_SET_STORE_FOR_PASSIVE_STATE`
`static int` | `REQ_SET_STYLES`
`static int` | `REQ_SET_VARIABLE_VALUE`
`static int` | `REQ_SET_VO_PROPERTY`
`static int` | `REQ_SET_WHERE_CLAUSE`
`static int` | `REQ_SET_WHERE_CLAUSE_PARAM`
`static int` | `REQ_SET_WHERE_CLAUSE_PARAMS`
`static int` | `REQ_SORT_CRITERIA_MAP`
`static int` | `REQ_SYNC_ROT`
`static int` | `REQ_SYNC_WORKING_SET`
`static int` | `REQ_TRANS_POST_GET_ATTR`
`static int` | `REQ_TRANS_POST_ROW_OP`
`static int` | `REQ_TRANS_POST_SET_ATTR`
`static int` | `REQ_TRANSFORM_EXCEPTION_PARAMS`
`static int` | `REQ_VALIDATE`
`static int` | `REQ_VALIDATE_ROW`
`static int` | `REQ_VARIABLE_CHANGED`
`static int` | `REQ_VIEW_DEF_NAMES`
`static int` | `REQ_VIEW_LINK`
`static int` | `REQ_VIEW_LINK_DEF_NAMES`
`static int` | `REQ_VIEW_LINK_NAMES`
`static int` | `REQ_VIEW_OBJECT`
`static int` | `REQ_VIEW_OBJECT_NAMES`
`static int` | `REQ_WRITE_LOB`
`static int` | `REQ_WRITE_ROW_XML`
`static int` | `REQ_WRITE_ROW_XML_WITH_MAP`
`static int` | `REQ_WRITE_ROWSET_XML`
`static int` | `REQ_WRITE_ROWSET_XML_WITH_MAP`
`static int` | `REQ_WS_OBJECT`

Constructor Summary
`SvcMsgRequest(int oper, int sourceId, java.lang.String reqName)`
`SvcMsgRequest(int oper, java.lang.String sourceId, java.lang.String reqName)`

Method Summary
`java.lang.String` | `getName()` Returns the name that identifies this request.
`int` | `getOperation()` Returns the id that identifies this request.
`java.lang.Object` | `getSourceId()` Returns the object that identifies the object that originated this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQ_REMOVE_ROW

    public static final int REQ_REMOVE_ROW

  See Also:
    Constant Field Values

### REQ_VALIDATE_ROW

    public static final int REQ_VALIDATE_ROW

  See Also:
    Constant Field Values

### REQ_LOCK_ROW

    public static final int REQ_LOCK_ROW

  See Also:
    Constant Field Values

### REQ_REFRESH_ROW

    public static final int REQ_REFRESH_ROW

  See Also:
    Constant Field Values

### REQ_SET_NEW_ROW_STATE

    public static final int REQ_SET_NEW_ROW_STATE

  See Also:
    Constant Field Values

### REQ_REMOVE_ROW_FROM_COLLECTION

    public static final int REQ_REMOVE_ROW_FROM_COLLECTION

  See Also:
    Constant Field Values

### REQ_REMOVE_ROW_AND_RETAIN

    public static final int REQ_REMOVE_ROW_AND_RETAIN

  See Also:
    Constant Field Values

### REQ_POST_ROWS

    public static final int REQ_POST_ROWS

  See Also:
    Constant Field Values

### REQ_FIRST

    public static final int REQ_FIRST

  See Also:
    Constant Field Values

### REQ_PREVIOUS

    public static final int REQ_PREVIOUS

  See Also:
    Constant Field Values

### REQ_NEXT

    public static final int REQ_NEXT

  See Also:
    Constant Field Values

### REQ_LAST

    public static final int REQ_LAST

  See Also:
    Constant Field Values

### REQ_SET_CURRENT_ROW_AT_RANGE_INDEX

    public static final int REQ_SET_CURRENT_ROW_AT_RANGE_INDEX

  See Also:
    Constant Field Values

### REQ_SET_CURRENT_ROW

    public static final int REQ_SET_CURRENT_ROW

  See Also:
    Constant Field Values

### REQ_GET_CURRENT_ROW

    public static final int REQ_GET_CURRENT_ROW

  See Also:
    Constant Field Values

### REQ_GET_ROW_FROM_HANDLE

    public static final int REQ_GET_ROW_FROM_HANDLE

  See Also:
    Constant Field Values

### REQ_NEXT_RANGE_SET

    public static final int REQ_NEXT_RANGE_SET

  See Also:
    Constant Field Values

### REQ_PREVIOUS_RANGE_SET

    public static final int REQ_PREVIOUS_RANGE_SET

  See Also:
    Constant Field Values

### REQ_RESET

    public static final int REQ_RESET

  See Also:
    Constant Field Values

### REQ_REFRESH_CACHE

    public static final int REQ_REFRESH_CACHE

  See Also:
    Constant Field Values

### REQ_INTERNAL_SET_RANGE_START

    public static final int REQ_INTERNAL_SET_RANGE_START

  See Also:
    Constant Field Values

### REQ_ROW_COUNT_IN_RANGE

    public static final int REQ_ROW_COUNT_IN_RANGE

  See Also:
    Constant Field Values

### REQ_SET_RANGE_SIZE

    public static final int REQ_SET_RANGE_SIZE

  See Also:
    Constant Field Values

### REQ_HAS_MORE_ROWS

    public static final int REQ_HAS_MORE_ROWS

  See Also:
    Constant Field Values

### REQ_IS_RANGE_AT

    public static final int REQ_IS_RANGE_AT

  See Also:
    Constant Field Values

### REQ_SCROLL

    public static final int REQ_SCROLL

  See Also:
    Constant Field Values

### REQ_ROW_COUNT

    public static final int REQ_ROW_COUNT

  See Also:
    Constant Field Values

### REQ_FETCHED_ROW_COUNT

    public static final int REQ_FETCHED_ROW_COUNT

  See Also:
    Constant Field Values

### REQ_GET_ROW_VALIDATION

    public static final int REQ_GET_ROW_VALIDATION

  See Also:
    Constant Field Values

### REQ_GET_ITER_MODE

    public static final int REQ_GET_ITER_MODE

  See Also:
    Constant Field Values

### REQ_SET_ITER_MODE

    public static final int REQ_SET_ITER_MODE

  See Also:
    Constant Field Values

### REQ_SET_ROW_VALIDATION

    public static final int REQ_SET_ROW_VALIDATION

  See Also:
    Constant Field Values

### REQ_GET_ROW_BY_KEY

    public static final int REQ_GET_ROW_BY_KEY

  See Also:
    Constant Field Values

### REQ_FIND_BY_KEY

    public static final int REQ_FIND_BY_KEY

  See Also:
    Constant Field Values

### REQ_FIND_BY_ENTITY

    public static final int REQ_FIND_BY_ENTITY

  See Also:
    Constant Field Values

### REQ_IS_ATTR_UPDATEABLE

    public static final int REQ_IS_ATTR_UPDATEABLE

  See Also:
    Constant Field Values

### REQ_CREATE_ROW

    public static final int REQ_CREATE_ROW

  See Also:
    Constant Field Values

### REQ_CREATE_AND_INIT_ROW

    public static final int REQ_CREATE_AND_INIT_ROW

  See Also:
    Constant Field Values

### REQ_CREATE_DETAIL_RS

    public static final int REQ_CREATE_DETAIL_RS

  See Also:
    Constant Field Values

### REQ_GET_DETAIL_ROW_SETS

    public static final int REQ_GET_DETAIL_ROW_SETS

  See Also:
    Constant Field Values

### REQ_READ_LOB

    public static final int REQ_READ_LOB

  See Also:
    Constant Field Values

### REQ_WRITE_LOB

    public static final int REQ_WRITE_LOB

  See Also:
    Constant Field Values

### REQ_CLOSE_LOB

    public static final int REQ_CLOSE_LOB

  See Also:
    Constant Field Values

### REQ_READ_ROW_XML

    public static final int REQ_READ_ROW_XML

  See Also:
    Constant Field Values

### REQ_WRITE_ROW_XML

    public static final int REQ_WRITE_ROW_XML

  See Also:
    Constant Field Values

### REQ_WRITE_ROW_XML_WITH_MAP

    public static final int REQ_WRITE_ROW_XML_WITH_MAP

  See Also:
    Constant Field Values

### REQ_FIND_AND_SET_BY_KEY

    public static final int REQ_FIND_AND_SET_BY_KEY

  See Also:
    Constant Field Values

### REQ_GET_DEFAULT_RSI

    public static final int REQ_GET_DEFAULT_RSI

  See Also:
    Constant Field Values

### REQ_CREATE_RSI

    public static final int REQ_CREATE_RSI

  See Also:
    Constant Field Values

### REQ_GET_RSIS

    public static final int REQ_GET_RSIS

  See Also:
    Constant Field Values

### REQ_FIND_RSI

    public static final int REQ_FIND_RSI

  See Also:
    Constant Field Values

### REQ_GET_MASTER_RSIS

    public static final int REQ_GET_MASTER_RSIS

  See Also:
    Constant Field Values

### REQ_EXECUTE_QUERY

    public static final int REQ_EXECUTE_QUERY

  See Also:
    Constant Field Values

### REQ_IS_EXECUTED

    public static final int REQ_IS_EXECUTED

  See Also:
    Constant Field Values

### REQ_GET_ESTIMATED_ROW_COUNT

    public static final int REQ_GET_ESTIMATED_ROW_COUNT

  See Also:
    Constant Field Values

### REQ_IS_FETCH_COMPLETE

    public static final int REQ_IS_FETCH_COMPLETE

  See Also:
    Constant Field Values

### REQ_SET_FORWARD_ONLY

    public static final int REQ_SET_FORWARD_ONLY

  See Also:
    Constant Field Values

### REQ_SET_ASSOC_CONSISTENT

    public static final int REQ_SET_ASSOC_CONSISTENT

  See Also:
    Constant Field Values

### REQ_GET_WHERE_CLAUSE_PARAMS

    public static final int REQ_GET_WHERE_CLAUSE_PARAMS

  See Also:
    Constant Field Values

### REQ_SET_WHERE_CLAUSE_PARAM

    public static final int REQ_SET_WHERE_CLAUSE_PARAM

  See Also:
    Constant Field Values

### REQ_SET_WHERE_CLAUSE_PARAMS

    public static final int REQ_SET_WHERE_CLAUSE_PARAMS

  See Also:
    Constant Field Values

### REQ_SET_MASTER_RSI

    public static final int REQ_SET_MASTER_RSI

  See Also:
    Constant Field Values

### REQ_REMOVE_MASTER_RSI

    public static final int REQ_REMOVE_MASTER_RSI

  See Also:
    Constant Field Values

### REQ_READ_ROWSET_XML

    public static final int REQ_READ_ROWSET_XML

  See Also:
    Constant Field Values

### REQ_WRITE_ROWSET_XML

    public static final int REQ_WRITE_ROWSET_XML

  See Also:
    Constant Field Values

### REQ_WRITE_ROWSET_XML_WITH_MAP

    public static final int REQ_WRITE_ROWSET_XML_WITH_MAP

  See Also:
    Constant Field Values

### REQ_GET_ACCESS_MODE

    public static final int REQ_GET_ACCESS_MODE

  See Also:
    Constant Field Values

### REQ_SET_ACCESS_MODE

    public static final int REQ_SET_ACCESS_MODE

  See Also:
    Constant Field Values

### REQ_DEFINE_NAMED_WHERE_CLAUSE_PARAM

    public static final int REQ_DEFINE_NAMED_WHERE_CLAUSE_PARAM

  See Also:
    Constant Field Values

### REQ_REMOVE_NAMED_WHERE_CLAUSE_PARAM

    public static final int REQ_REMOVE_NAMED_WHERE_CLAUSE_PARAM

  See Also:
    Constant Field Values

### REQ_GET_DEFAULT_RS

    public static final int REQ_GET_DEFAULT_RS

  See Also:
    Constant Field Values

### REQ_CREATE_ROW_SET

    public static final int REQ_CREATE_ROW_SET

  See Also:
    Constant Field Values

### REQ_GET_ROW_SETS

    public static final int REQ_GET_ROW_SETS

  See Also:
    Constant Field Values

### REQ_FIND_ROW_SET

    public static final int REQ_FIND_ROW_SET

  See Also:
    Constant Field Values

### REQ_GET_VIEW_LINKS

    public static final int REQ_GET_VIEW_LINKS

  See Also:
    Constant Field Values

### REQ_GET_QUERY

    public static final int REQ_GET_QUERY

  See Also:
    Constant Field Values

### REQ_GET_WHERE_CLAUSE

    public static final int REQ_GET_WHERE_CLAUSE

  See Also:
    Constant Field Values

### REQ_SET_WHERE_CLAUSE

    public static final int REQ_SET_WHERE_CLAUSE

  See Also:
    Constant Field Values

### REQ_APPLY_VIEW_CRITERIA

    public static final int REQ_APPLY_VIEW_CRITERIA

  See Also:
    Constant Field Values

### REQ_GET_ORDER_BY_CLAUSE

    public static final int REQ_GET_ORDER_BY_CLAUSE

  See Also:
    Constant Field Values

### REQ_SET_ORDER_BY_CLAUSE

    public static final int REQ_SET_ORDER_BY_CLAUSE

  See Also:
    Constant Field Values

### REQ_GET_ATTRIBUTE_DEF_INFO

    public static final int REQ_GET_ATTRIBUTE_DEF_INFO

  See Also:
    Constant Field Values

### REQ_ADD_DYNAMIC_ATTR

    public static final int REQ_ADD_DYNAMIC_ATTR

  See Also:
    Constant Field Values

### REQ_GET_ATTR_INDICES_FOR_ENTITY_ATTR

    public static final int REQ_GET_ATTR_INDICES_FOR_ENTITY_ATTR

  See Also:
    Constant Field Values

### REQ_CLEAR_VO_CACHE

    public static final int REQ_CLEAR_VO_CACHE

  See Also:
    Constant Field Values

### REQ_FIND_AND_READ_ROW_XML

    public static final int REQ_FIND_AND_READ_ROW_XML

  See Also:
    Constant Field Values

### REQ_GET_MAX_FETCH_SIZE

    public static final int REQ_GET_MAX_FETCH_SIZE

  See Also:
    Constant Field Values

### REQ_SET_MAX_FETCH_SIZE

    public static final int REQ_SET_MAX_FETCH_SIZE

  See Also:
    Constant Field Values

### REQ_GET_QUERY_OPTIMIZER_HINT

    public static final int REQ_GET_QUERY_OPTIMIZER_HINT

  See Also:
    Constant Field Values

### REQ_SET_QUERY_OPTIMIZER_HINT

    public static final int REQ_SET_QUERY_OPTIMIZER_HINT

  See Also:
    Constant Field Values

### REQ_FIND_VIEW_LINK_ACCESSOR

    public static final int REQ_FIND_VIEW_LINK_ACCESSOR

  See Also:
    Constant Field Values

### REQ_GET_VIEW_CRITERIA

    public static final int REQ_GET_VIEW_CRITERIA

  See Also:
    Constant Field Values

### REQ_SET_ROW_MATCH

    public static final int REQ_SET_ROW_MATCH

  See Also:
    Constant Field Values

### REQ_GET_ROW_MATCH

    public static final int REQ_GET_ROW_MATCH

  See Also:
    Constant Field Values

### REQ_SET_QUERY_MODE

    public static final int REQ_SET_QUERY_MODE

  See Also:
    Constant Field Values

### REQ_ADD_QUERY_MODE

    public static final int REQ_ADD_QUERY_MODE

  See Also:
    Constant Field Values

### REQ_GET_QUERY_MODE

    public static final int REQ_GET_QUERY_MODE

  See Also:
    Constant Field Values

### REQ_APP_MOD_NAMES

    public static final int REQ_APP_MOD_NAMES

  See Also:
    Constant Field Values

### REQ_VIEW_OBJECT_NAMES

    public static final int REQ_VIEW_OBJECT_NAMES

  See Also:
    Constant Field Values

### REQ_VIEW_LINK_NAMES

    public static final int REQ_VIEW_LINK_NAMES

  See Also:
    Constant Field Values

### REQ_PACKAGE_NAMES

    public static final int REQ_PACKAGE_NAMES

  See Also:
    Constant Field Values

### REQ_APP_MOD_DEF_NAMES

    public static final int REQ_APP_MOD_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ALL_APP_MOD_DEF_NAMES

    public static final int REQ_ALL_APP_MOD_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ENTITY_DEF_NAMES

    public static final int REQ_ENTITY_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ALL_ENTITY_DEF_NAMES

    public static final int REQ_ALL_ENTITY_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_VIEW_DEF_NAMES

    public static final int REQ_VIEW_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ALL_VIEW_DEF_NAMES

    public static final int REQ_ALL_VIEW_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ENTITY_ASSOC_DEF_NAMES

    public static final int REQ_ENTITY_ASSOC_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ALL_ENTITY_ASSOC_DEF_NAMES

    public static final int REQ_ALL_ENTITY_ASSOC_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_VIEW_LINK_DEF_NAMES

    public static final int REQ_VIEW_LINK_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_ALL_VIEW_LINK_DEF_NAMES

    public static final int REQ_ALL_VIEW_LINK_DEF_NAMES

  See Also:
    Constant Field Values

### REQ_LOAD_PACKAGE

    public static final int REQ_LOAD_PACKAGE

  See Also:
    Constant Field Values

### REQ_CREATE_VIEW_OBJECT

    public static final int REQ_CREATE_VIEW_OBJECT

  See Also:
    Constant Field Values

### REQ_CREATE_VO_FROM_QUERY_CLAUSES

    public static final int REQ_CREATE_VO_FROM_QUERY_CLAUSES

  See Also:
    Constant Field Values

### REQ_CREATE_VO_FROM_QUERY_STMT

    public static final int REQ_CREATE_VO_FROM_QUERY_STMT

  See Also:
    Constant Field Values

### REQ_CREATE_VIEW_LINK

    public static final int REQ_CREATE_VIEW_LINK

  See Also:
    Constant Field Values

### REQ_CREATE_VL_FROM_ENT_ASSOC

    public static final int REQ_CREATE_VL_FROM_ENT_ASSOC

  See Also:
    Constant Field Values

### REQ_CREATE_VL_BTWN_VOS

    public static final int REQ_CREATE_VL_BTWN_VOS

  See Also:
    Constant Field Values

### REQ_CREATE_COMPONENT_OBJECT

    public static final int REQ_CREATE_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### REQ_FIND_VIEW_OBJECT

    public static final int REQ_FIND_VIEW_OBJECT

  See Also:
    Constant Field Values

### REQ_FIND_VIEW_LINK

    public static final int REQ_FIND_VIEW_LINK

  See Also:
    Constant Field Values

### REQ_FIND_COMPONENT_OBJECT

    public static final int REQ_FIND_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### REQ_FIND_RSI_FOR_ENTITY

    public static final int REQ_FIND_RSI_FOR_ENTITY

  See Also:
    Constant Field Values

### REQ_FIND_VIEW_OBJECT_USING_ENTITY

    public static final int REQ_FIND_VIEW_OBJECT_USING_ENTITY

  See Also:
    Constant Field Values

### REQ_REMOVE_COMPONENT

    public static final int REQ_REMOVE_COMPONENT

  See Also:
    Constant Field Values

### REQ_CLEAR_VO_CACHES

    public static final int REQ_CLEAR_VO_CACHES

  See Also:
    Constant Field Values

### REQ_TRANSFORM_EXCEPTION_PARAMS

    public static final int REQ_TRANSFORM_EXCEPTION_PARAMS

  See Also:
    Constant Field Values

### REQ_SYNC_WORKING_SET

    public static final int REQ_SYNC_WORKING_SET

  See Also:
    Constant Field Values

### REQ_GET_VERSION

    public static final int REQ_GET_VERSION

  See Also:
    Constant Field Values

### REQ_GET_LOCALE

    public static final int REQ_GET_LOCALE

  See Also:
    Constant Field Values

### REQ_SET_LOCALE

    public static final int REQ_SET_LOCALE

  See Also:
    Constant Field Values

### REQ_GET_STYLES

    public static final int REQ_GET_STYLES

  See Also:
    Constant Field Values

### REQ_SET_STYLES

    public static final int REQ_SET_STYLES

  See Also:
    Constant Field Values

### REQ_GET_PROPERTIES

    public static final int REQ_GET_PROPERTIES

  See Also:
    Constant Field Values

### REQ_REFRESH_PROPERTY

    public static final int REQ_REFRESH_PROPERTY

  See Also:
    Constant Field Values

### REQ_SET_PROPERTY

    public static final int REQ_SET_PROPERTY

  See Also:
    Constant Field Values

### REQ_GET_VO_PROPERTIES

    public static final int REQ_GET_VO_PROPERTIES

  See Also:
    Constant Field Values

### REQ_SET_VO_PROPERTY

    public static final int REQ_SET_VO_PROPERTY

  See Also:
    Constant Field Values

### REQ_REFRESH_VO_PROPERTY

    public static final int REQ_REFRESH_VO_PROPERTY

  See Also:
    Constant Field Values

### REQ_GET_VO_ATTR_PROPERTIES

    public static final int REQ_GET_VO_ATTR_PROPERTIES

  See Also:
    Constant Field Values

### REQ_FETCH_ATTR_PROPERTIES

    public static final int REQ_FETCH_ATTR_PROPERTIES

  See Also:
    Constant Field Values

### REQ_GET_DOMAIN_VALUE

    public static final int REQ_GET_DOMAIN_VALUE

  See Also:
    Constant Field Values

### REQ_INVOKE_DOMAIN_METHOD

    public static final int REQ_INVOKE_DOMAIN_METHOD

  See Also:
    Constant Field Values

### REQ_FETCH_ATTR_PROPERTIES_MAP

    public static final int REQ_FETCH_ATTR_PROPERTIES_MAP

  See Also:
    Constant Field Values

### REQ_SET_STORE_FOR_PASSIVE_STATE

    public static final int REQ_SET_STORE_FOR_PASSIVE_STATE

  See Also:
    Constant Field Values

### REQ_RESERVE_PASSIVATION_ID

    public static final int REQ_RESERVE_PASSIVATION_ID

  See Also:
    Constant Field Values

### REQ_PASSIVATE_STATE_WITH_ID

    public static final int REQ_PASSIVATE_STATE_WITH_ID

  See Also:
    Constant Field Values

### REQ_PASSIVATE_STATE

    public static final int REQ_PASSIVATE_STATE

  See Also:
    Constant Field Values

### REQ_ACTIVATE_STATE_WITH_INFO

    public static final int REQ_ACTIVATE_STATE_WITH_INFO

  See Also:
    Constant Field Values

### REQ_PREPARE_SESSION

    public static final int REQ_PREPARE_SESSION

  See Also:
    Constant Field Values

### REQ_REMOVE_STATE

    public static final int REQ_REMOVE_STATE

  See Also:
    Constant Field Values

### REQ_RESET_STATE

    public static final int REQ_RESET_STATE

  See Also:
    Constant Field Values

### REQ_PASSIVATE_STATE_2

    public static final int REQ_PASSIVATE_STATE_2

  See Also:
    Constant Field Values

### REQ_PASSIVATE_STATE_WITH_ID_2

    public static final int REQ_PASSIVATE_STATE_WITH_ID_2

  See Also:
    Constant Field Values

### REQ_ACTIVATE_STATE_2

    public static final int REQ_ACTIVATE_STATE_2

  See Also:
    Constant Field Values

### REQ_GET_MOST_RECENT_STACK_ID

    public static final int REQ_GET_MOST_RECENT_STACK_ID

  See Also:
    Constant Field Values

### REQ_RESERVE_SNAPSHOT_ID

    public static final int REQ_RESERVE_SNAPSHOT_ID

  See Also:
    Constant Field Values

### REQ_EXECUTE_METHOD

    public static final int REQ_EXECUTE_METHOD

  See Also:
    Constant Field Values

### REQ_JAAS_USER_ROLES

    public static final int REQ_JAAS_USER_ROLES

  See Also:
    Constant Field Values

### REQ_RESET_STATE_WITH_FLAGS

    public static final int REQ_RESET_STATE_WITH_FLAGS

  See Also:
    Constant Field Values

### REQ_PASSIVATE_STATE_FOR_UNDO

    public static final int REQ_PASSIVATE_STATE_FOR_UNDO

  See Also:
    Constant Field Values

### REQ_ACTIVATE_STATE_FOR_UNDO

    public static final int REQ_ACTIVATE_STATE_FOR_UNDO

  See Also:
    Constant Field Values

### REQ_IS_VALID_ID_FOR_UNDO

    public static final int REQ_IS_VALID_ID_FOR_UNDO

  See Also:
    Constant Field Values

### REQ_DETAILS_IN_BATCH

    public static final int REQ_DETAILS_IN_BATCH

  See Also:
    Constant Field Values

### REQ_DO_POOL_MESSAGE

    public static final int REQ_DO_POOL_MESSAGE

  See Also:
    Constant Field Values

### REQ_SET_RELEASE_LEVEL

    public static final int REQ_SET_RELEASE_LEVEL

  See Also:
    Constant Field Values

### REQ_SORT_CRITERIA_MAP

    public static final int REQ_SORT_CRITERIA_MAP

  See Also:
    Constant Field Values

### REQ_ROLLBACK

    public static final int REQ_ROLLBACK

  See Also:
    Constant Field Values

### REQ_COMMIT

    public static final int REQ_COMMIT

  See Also:
    Constant Field Values

### REQ_COMMIT_AND_SAVE_CHANGE_SET

    public static final int REQ_COMMIT_AND_SAVE_CHANGE_SET

  See Also:
    Constant Field Values

### REQ_POST_CHANGES

    public static final int REQ_POST_CHANGES

  See Also:
    Constant Field Values

### REQ_VALIDATE

    public static final int REQ_VALIDATE

  See Also:
    Constant Field Values

### REQ_IS_TRANS_DIRTY

    public static final int REQ_IS_TRANS_DIRTY

  See Also:
    Constant Field Values

### REQ_EXECUTE_COMMAND

    public static final int REQ_EXECUTE_COMMAND

  See Also:
    Constant Field Values

### REQ_DUMP_QUERY_RESULT

    public static final int REQ_DUMP_QUERY_RESULT

  See Also:
    Constant Field Values

### REQ_RECONNECT_WO_FORCE

    public static final int REQ_RECONNECT_WO_FORCE

  See Also:
    Constant Field Values

### REQ_RECONNECT

    public static final int REQ_RECONNECT

  See Also:
    Constant Field Values

### REQ_CONNECT_USING_URL

    public static final int REQ_CONNECT_USING_URL

  See Also:
    Constant Field Values

### REQ_CONNECT_USING_INFO

    public static final int REQ_CONNECT_USING_INFO

  See Also:
    Constant Field Values

### REQ_CONNECT_USING_USER_PWD

    public static final int REQ_CONNECT_USING_USER_PWD

  See Also:
    Constant Field Values

### REQ_CONNECT_TO_DS

    public static final int REQ_CONNECT_TO_DS

  See Also:
    Constant Field Values

### REQ_CONNECT_TO_DS_USING_USER_PWD

    public static final int REQ_CONNECT_TO_DS_USING_USER_PWD

  See Also:
    Constant Field Values

### REQ_CONNECT_TO_DS_USING_ENV_USER_PWD

    public static final int REQ_CONNECT_TO_DS_USING_ENV_USER_PWD

  See Also:
    Constant Field Values

### REQ_CONNECT_TO_DS_USING_ENV

    public static final int REQ_CONNECT_TO_DS_USING_ENV

  See Also:
    Constant Field Values

### REQ_DISCONNECT

    public static final int REQ_DISCONNECT

  See Also:
    Constant Field Values

### REQ_DISCONNECT_WITH_RETAIN_STATE

    public static final int REQ_DISCONNECT_WITH_RETAIN_STATE

  See Also:
    Constant Field Values

### REQ_IS_CONNECTED

    public static final int REQ_IS_CONNECTED

  See Also:
    Constant Field Values

### REQ_GET_CONNECTION_MD

    public static final int REQ_GET_CONNECTION_MD

  See Also:
    Constant Field Values

### REQ_GET_LOCKING_MODE

    public static final int REQ_GET_LOCKING_MODE

  See Also:
    Constant Field Values

### REQ_SET_LOCKING_MODE

    public static final int REQ_SET_LOCKING_MODE

  See Also:
    Constant Field Values

### REQ_IS_BUNDLED_EXC_MODE

    public static final int REQ_IS_BUNDLED_EXC_MODE

  See Also:
    Constant Field Values

### REQ_SET_BUNDLED_EXC_MODE

    public static final int REQ_SET_BUNDLED_EXC_MODE

  See Also:
    Constant Field Values

### REQ_IS_CLEAR_CACHE_ON_COMMIT

    public static final int REQ_IS_CLEAR_CACHE_ON_COMMIT

  See Also:
    Constant Field Values

### REQ_SET_CLEAR_CACHE_ON_COMMIT

    public static final int REQ_SET_CLEAR_CACHE_ON_COMMIT

  See Also:
    Constant Field Values

### REQ_IS_CLEAR_CACHE_ON_ROLLBACK

    public static final int REQ_IS_CLEAR_CACHE_ON_ROLLBACK

  See Also:
    Constant Field Values

### REQ_SET_CLEAR_CACHE_ON_ROLLBACK

    public static final int REQ_SET_CLEAR_CACHE_ON_ROLLBACK

  See Also:
    Constant Field Values

### REQ_APPLY_CHANGE_SET

    public static final int REQ_APPLY_CHANGE_SET

  See Also:
    Constant Field Values

### REQ_REMOVE_CHANGE_SET

    public static final int REQ_REMOVE_CHANGE_SET

  See Also:
    Constant Field Values

### REQ_CLEAR_ENTITY_CACHE

    public static final int REQ_CLEAR_ENTITY_CACHE

  See Also:
    Constant Field Values

### REQ_TRANS_POST_ROW_OP

    public static final int REQ_TRANS_POST_ROW_OP

  See Also:
    Constant Field Values

### REQ_TRANS_POST_GET_ATTR

    public static final int REQ_TRANS_POST_GET_ATTR

  See Also:
    Constant Field Values

### REQ_TRANS_POST_SET_ATTR

    public static final int REQ_TRANS_POST_SET_ATTR

  See Also:
    Constant Field Values

### REQ_REF_OBJECT

    public static final int REQ_REF_OBJECT

  See Also:
    Constant Field Values

### REQ_NULL

    public static final int REQ_NULL

  See Also:
    Constant Field Values

### REQ_ROW_SET_ITERATOR

    public static final int REQ_ROW_SET_ITERATOR

  See Also:
    Constant Field Values

### REQ_ROW_SET

    public static final int REQ_ROW_SET

  See Also:
    Constant Field Values

### REQ_VIEW_OBJECT

    public static final int REQ_VIEW_OBJECT

  See Also:
    Constant Field Values

### REQ_VIEW_LINK

    public static final int REQ_VIEW_LINK

  See Also:
    Constant Field Values

### REQ_COMPONENT_OBJECT

    public static final int REQ_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### REQ_APPLICATION_MODULE

    public static final int REQ_APPLICATION_MODULE

  See Also:
    Constant Field Values

### REQ_ROW

    public static final int REQ_ROW

  See Also:
    Constant Field Values

### REQ_LOB_DOMAIN

    public static final int REQ_LOB_DOMAIN

  See Also:
    Constant Field Values

### REQ_REMOTE_SERVER_AM

    public static final int REQ_REMOTE_SERVER_AM

  See Also:
    Constant Field Values

### REQ_WS_OBJECT

    public static final int REQ_WS_OBJECT

  See Also:
    Constant Field Values

### REQ_OBJECT_REMOVED

    public static final int REQ_OBJECT_REMOVED

  See Also:
    Constant Field Values

### REQ_SYNC_ROT

    public static final int REQ_SYNC_ROT

  See Also:
    Constant Field Values

### REQ_CREATE_APPLICATION_MODULE

    public static final int REQ_CREATE_APPLICATION_MODULE

  See Also:
    Constant Field Values

### REQ_FIND_APPLICATION_MODULE

    public static final int REQ_FIND_APPLICATION_MODULE

  See Also:
    Constant Field Values

### REQ_GET_AM_INFO

    public static final int REQ_GET_AM_INFO

  See Also:
    Constant Field Values

### REQ_CREATE_VO_ON_ENTITY

    public static final int REQ_CREATE_VO_ON_ENTITY

  See Also:
    Constant Field Values

### REQ_CREATE_VO_ON_ROW_SET

    public static final int REQ_CREATE_VO_ON_ROW_SET

  See Also:
    Constant Field Values

### REQ_FIND_VO_WITH_PARAMS

    public static final int REQ_FIND_VO_WITH_PARAMS

  See Also:
    Constant Field Values

### REQ_SEND_DATA_ROW

    public static final int REQ_SEND_DATA_ROW

  See Also:
    Constant Field Values

### REQ_ROW_IS_DEAD

    public static final int REQ_ROW_IS_DEAD

  See Also:
    Constant Field Values

### REQ_REFRESH_VARIABLES

    public static final int REQ_REFRESH_VARIABLES

  See Also:
    Constant Field Values

### REQ_ADD_VARIABLE

    public static final int REQ_ADD_VARIABLE

  See Also:
    Constant Field Values

### REQ_REMOVE_VARIABLE

    public static final int REQ_REMOVE_VARIABLE

  See Also:
    Constant Field Values

### REQ_SET_VARIABLE_VALUE

    public static final int REQ_SET_VARIABLE_VALUE

  See Also:
    Constant Field Values

### REQ_VARIABLE_CHANGED

    public static final int REQ_VARIABLE_CHANGED

  See Also:
    Constant Field Values

### REQ_FIND_BY_VIEW_CRITERIA

    public static final int REQ_FIND_BY_VIEW_CRITERIA

  See Also:
    Constant Field Values

### REQ_SET_SORT_BY

    public static final int REQ_SET_SORT_BY

  See Also:
    Constant Field Values

### REQ_GET_SORT_BY

    public static final int REQ_GET_SORT_BY

  See Also:
    Constant Field Values

### REQ_GET_QUERY_TIMEOUT

    public static final int REQ_GET_QUERY_TIMEOUT

  See Also:
    Constant Field Values

### REQ_SET_QUERY_TIMEOUT

    public static final int REQ_SET_QUERY_TIMEOUT

  See Also:
    Constant Field Values

### REQ_CANCEL_QUERY

    public static final int REQ_CANCEL_QUERY

  See Also:
    Constant Field Values

### REQ_GET_DML_OPERATION_TIMEOUT

    public static final int REQ_GET_DML_OPERATION_TIMEOUT

  See Also:
    Constant Field Values

### REQ_SET_DML_OPERATION_TIMEOUT

    public static final int REQ_SET_DML_OPERATION_TIMEOUT

  See Also:
    Constant Field Values

### REQ_CANCEL_DML_OPERATIONS

    public static final int REQ_CANCEL_DML_OPERATIONS

  See Also:
    Constant Field Values

Constructor Detail

### SvcMsgRequest

    public SvcMsgRequest(int oper,
                         int sourceId,
                         java.lang.String reqName)

### SvcMsgRequest

    public SvcMsgRequest(int oper,
                         java.lang.String sourceId,
                         java.lang.String reqName)

Method Detail

### getOperation

    public int getOperation()

  Description copied from interface: `Request`
  Returns the id that identifies this request. A request may be identified by its operation id (`int</code) or by a name (`String).

  In general, an int operation id is more performant because one can use a `switch/case` construct. A String request name will require string compare which can be more costly. However, string request name is good for custom request processing where a static int operation id cannot be formulated.

  Specified by:
    `getOperation` in interface `Request`
  Returns:
    the request operation id.

### getName

    public java.lang.String getName()

  Description copied from interface: `Request`
  Returns the name that identifies this request. A request may be identified by its operation id (`int</code) or by a name (`String).

  In general, an int operation id is more performant because one can use a `switch/case` construct. A String request name will require string compare which can be more costly. However, string request name is good for custom request processing where a static int operation id cannot be formulated.

  Specified by:
    `getName` in interface `Request`
  Returns:
    the request operation name.

### getSourceId

    public java.lang.Object getSourceId()

  Description copied from interface: `Request`
  Returns the object that identifies the object that originated this request. This id should be serializable and marshallable across tiers.
  Specified by:
    `getSourceId` in interface `Request`
  Returns:
    the id object of the object that originated this request.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.